<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use Log;
use DB;
use DateTime;

class Kernel extends ConsoleKernel
{
  /**
   * Define the application's command schedule.
   *
   * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
   * @return void
   */
  protected function schedule(Schedule $schedule)
  {
    // $schedule->command('inspire')->hourly();
    $schedule->call(function () {
     // Log::info('test');
      $d = DB::table('appointments')->where('date', date('Y-m-d'))->whereIn('payment_status',[1,3])->get();
      foreach ($d as $r) {
        // date('H:i:s');
        date_default_timezone_set('UTC');


        //   Log::info(date('H:i:s'));

        if ($r->slot_start > date('H:i:s')) {
          $r->date = date('Y-m-d', strtotime($r->date));
          $start_date = new DateTime(date('Y-m-d H:i:s'));

         // Log::info($start_date);
       //   Log::info($r->date . ' ' . $r->slot_star);
      
          $since_start = $start_date->diff(new DateTime($r->date . ' ' . $r->slot_start));
      
            if ($since_start->i == 1 &&  $since_start->h == 0) {
              DB::table('log')->insert([
                'time' => $since_start->h,
                'booking_id' => $r->id
              ]);
              $doc = DB::table('users')->where('id', $r->doctor_id)->first();
              $pat = DB::table('users')->where('id', $r->patient_id)->first();
              $firebaseToken = $doc->fcm_token;

              //print_r($firebaseToken);
              $SERVER_API_KEY = "AAAA_NY2eGQ:APA91bH1XVJNVy_JsnmY8j4KqQgCVCVlV6lzLRkHsP9QjrW4s-p83-myv_yQGEW5N11U9WIZuYGHxnWioxipOE10lxdTjzR_-l09COou8Nf81X9CGqdsKT7N7j0ys7GkayFHf5U6eIzG";

              $msg = "Hello Dr. " . $doc->last_name . " you have appointment after 2 minutes. Please be on time.";


              $data = [
                "registration_ids" => array($doc->fcm_token),
                "notification" => [
                  "title" => "DoctorApp",
                  "body" => $msg,
                ]
              ];
              $dataString = json_encode($data);

              $headers = [
                'Authorization: key=' . $SERVER_API_KEY,
                'Content-Type: application/json',
              ];

              $ch = curl_init();

              curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
              curl_setopt($ch, CURLOPT_POST, true);
              curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
              curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
              curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
              curl_setopt($ch, CURLOPT_POSTFIELDS, $dataString);

              $response1 = curl_exec($ch);

              $msg_p = "Hello " . $pat->name . " you have appointment after 2 minutes. Please be on time.";


              $data_p = [
                "registration_ids" => array($pat->fcm_token),
                "notification" => [
                  "title" => "DoctorApp",
                  "body" => $msg_p,
                ]
              ];
              $dataString = json_encode($data_p);

              $headers = [
                'Authorization: key=' . $SERVER_API_KEY,
                'Content-Type: application/json',
              ];

              $ch = curl_init();

              curl_setopt($ch, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
              curl_setopt($ch, CURLOPT_POST, true);
              curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
              curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
              curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
              curl_setopt($ch, CURLOPT_POSTFIELDS, $dataString);

              $response2 = curl_exec($ch);


               // Log::info( $response1.$response2);
            }
           else {
             // Log::info($since_start->i);
          }
        } else {
           // Log::info("hkj");
        }
      }


      
    })->everyMinute();
  }

  /**
   * Register the commands for the application.
   *
   * @return void
   */
  protected function commands()
  {
    $this->load(__DIR__ . '/Commands');

    require base_path('routes/console.php');
  }
}
