@extends('layout.admin_layout')

@section('title', 'admin-dashboard')

@section('body')
@section('header', 'Food Details')
@section('badge')
    <li class="breadcrumb-item"><a href="{{ route('admin.food.index') }}">Food</a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin.food.show', $store->id) }}">Food Details</a></li>
@endsection

<div class="card">
    <div class="card-header">
        <h3 class="card-title">Food Details</h3>
    </div>
    <div class="card-body">

        <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Food Category :</label>

            <div class="col-md-9">
                {{ $store->category->name }}
            </div>
            <!--col-->
        </div>

        {{-- @if (!empty($store->image))

        <div class="form-group row">
            <label class="col-md-3 form-control-label">Image :</label>
            <div class="col-md-9">
                <img width="100px" height="100px" src="{{ asset('public/uploads/category/' . $store->image) }}">

            </div>
        </div>
        @endif --}}
        <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Pub Name :</label>

            <div class="col-md-9">

                {{  $store->pub->name }}
            </div>
        </div>

        {{-- <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Subscription Price ($) :</label>

            <div class="col-md-9">
                {{  $store->price }}
            </div>
        </div> --}}

        <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Food Name :</label>

            <div class="col-md-9">
                {{  $store->name }}
            </div>
        </div>



        <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Food Price :</label>

            <div class="col-md-9">
                {{  $store->price }}
            </div>
        </div>

        @if (!empty($store->image))
        <div class="form-group row">
            <label class="col-md-3 form-control-label" for="name">Food Image :</label>

            <div class="col-md-9">
                <img width="100px" height="100px" src="{{ asset('public/uploads/food/' . $store->image) }}" alt="no image">
            </div>
        </div>
        @endif
    </div>
    <!-- /.card-body -->
    <div class="card-footer">
        <div class="col text-right">
            <a href="{{ url()->previous() }}" class="btn btn-outline-danger"><i
                    class="far fa-arrow-alt-circle-left"></i> Back</a>
        </div>
    </div>
    <!-- /.card-footer-->
</div>

@endsection
