@extends('layout.pub_layout')

@section('title', 'vendor-dashboard')

@section('body')

@section('header', 'Add Food & Drinks')
@section('badge')
    <li class="breadcrumb-item"><a href="{{ route('pub.food.index') }}">Food & Drinks</a></li>
    <li class="breadcrumb-item"><a href="{{ route('pub.food.create') }}">Add Food & Drinks </a></li>
@endsection


<div class="card">
    <div class="card-header">
        <h3 class="card-title">Food & Drinks Add</h3>
    </div>
    <div class="card-body">
        <form role="form" action="{{ route('pub.food.store') }}" method="POST" enctype="multipart/form-data"
            id="cmsForm">
            {{ csrf_field() }}


            <div class="card-body">

                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Food Category <span
                            class="text-danger">*</span></label>
                    <div class="col-md-10">

                        <select type="text" name="categori_name" id="inputName" class="form-control @error('categori_name') is-invalid @enderror" required>
                            <option value="">Select Category</option>
                            @foreach ($categorylist as $category)

                            <option value="{{ $category->id }}">{{ $category->name }}</option>
                            @endforeach
                        </select>
                        @error('categori_name')
                            <span class="error invalid-feedback" id="error_description">{{ $message }}</span>
                        @enderror
                    </div>
                </div>
{{--
                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Pub Name <span
                            class="text-danger">*</span></label>
                    <div class="col-md-10">

                        <select type="text" name="pub_name" id="inputName" class="form-control @error('pub_name') is-invalid @enderror" required>
                            <option value="">Select Pub</option>
                            @foreach ($publist as $pub)

                            <option value="{{ $pub->id }}">{{ $pub->name }}</option>
                            @endforeach
                        </select>
                        @error('pub_name')
                            <span class="error invalid-feedback" id="error_description">{{ $message }}</span>
                        @enderror
                    </div>
                </div> --}}

                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Food & Drinks Name <span
                            class="text-danger">*</span></label>

                    <div class="col-md-10">
                        {{-- <input class="form-control @error('heading') is-invalid @enderror" type="text" name="heading"
                            id="heading" placeholder="Please enter news heading" maxlength="191"
                            value="{{ old('heading') }}"> --}}
                        <input type="text" name="name" id="inputName" class="form-control @error('name') is-invalid @enderror" value="{{ old('name') }}" maxlength="191">
                        @error('name')
                            <span class="error invalid-feedback" id="error_description">{{ $message }}</span>
                        @enderror
                    </div>
                    <!--col-->
                </div>

                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Price ( in $ )</label>

                    <div class="col-md-10">
                        <input type="text" name="price" id="inputName" class="form-control @error('price') is-invalid @enderror" value="{{ old('price') }}" maxlength="10" >
                        @error('price')
                            <span class="error invalid-feedback" id="error_description">{{ $message }}</span>
                        @enderror
                    </div>
                    <!--col-->
                </div>

                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Image </label>

                    <div class="col-md-10">
                        <input class="form-control @error('image') is-invalid @enderror" type="file" name="image"
                            id="image">
                        @error('image')
                            <span class="error invalid-feedback" id="error_description">{{ $message }}</span>
                        @enderror
                    </div>
                </div>


            </div>
            <div class="card-footer">
                <div class="col text-right">
                    <a href="{{ url()->previous() }}" class="btn btn-outline-danger"><i
                            class="far fa-arrow-alt-circle-left"></i> Cancel</a>
                    <button type="submit" class="btn btn-primary"><i class="far fa-save"></i> Submit</button>
                </div>
            </div>
        </form>
    </div>
    <!-- /.card-body -->

    <!-- /.card-footer-->
</div>

@endsection
