@extends('layout.admin_layout')

@section('title', $title.$title_2)

@section('body')

@section('header', $title.$title_2)
@section('badge')
<li class="breadcrumb-item"><a href="{{ route('admin.site_settings_list') }}">{{$title}}</a></li>
<li class="breadcrumb-item"><a href="#">{{$title_2}}</a></li>
@endsection


<div class="card card-warning card-outline">
  <div class="card-header">
    <a href="{{ route('admin.site_settings_list') }}" class="btn btn-info btn-sm"><i class="fa fa-arrow-left"></i> Back to list</a>
    <!-- <a href="{{ route('admin.site_settings_view', $dataRow->id) }}" class="btn btn-warning btn-sm"><i class="fa fa-eye"></i> View</a> -->
    <!-- <h3 class="card-title">{{$title}}</h3> -->

    <!-- /.card-tools -->
  </div>
  <div class="card-body">
    <form role="form" action="{{ route('admin.site_settings_store') }}" method="POST" enctype="multipart/form-data" id="cmsForm">
      {{csrf_field()}}

      <input type="hidden" name="id" value="{{@$dataRow->id}}">
      <div class="card-body">

        <div class="form-group row">
          <div class="col-md-6">
            <label class=" form-control-label" for="name">Key<span class="text-danger">*</span></label>
            <input class="form-control" value="{{ ucfirst(str_replace('_', ' ', $dataRow->key)) }}" disabled>
          </div>

          <div class="col-md-6">
            <?php
            if (in_array($dataRow->key, ['logo', 'logo_small'])) {
            ?>
              <label class=" form-control-label" for="name">Image</label>
              <input class="form-control" type="file" name="value" id="image" accept="image/*">
              <img src="{{asset('Images/logo')}}/{{$dataRow->value}}" class="image" id="image_pre" width="120px">
            <?php
            } else {
            ?>
              <label class=" form-control-label" for="name">Value</label>
              <input class="form-control" type="text" name="value" value="{{old('value', @$dataRow->value)}}">
            <?php
            }
            ?>
          </div>
        </div>

      </div>
      <div class="card-footer">
        <div class="col text-right">
          <a href="{{ url()->previous()}}" class="btn btn-outline-danger"><i class="far fa-arrow-alt-circle-left"></i> Cancel</a>
          <button type="submit" class="btn btn-primary"><i class="far fa-save"></i> Submit</button>
        </div>
      </div>
    </form>
  </div>
  <!-- /.card-body -->

  <!-- /.card-footer-->
</div>

@endsection

@push('scripts')
<script type="text/javascript"> 
  imagePreview(image, image_pre);

  function imagePreview(imgId, imgPreviewId) {
    imgId.onchange = evt => {
      const [file] = imgId.files
      if (file) {
        imgPreviewId.src = URL.createObjectURL(file)
      }
    }
  }
</script>
@endpush