@extends('layout.admin_layout')

@section('title', $title)

@section('body')
@section('header', $title)
@section('badge')
<li class="breadcrumb-item"><a href="{{ route('admin.site_settings_list') }}">{{$title}}</a></li>
@endsection

<!-- /.col -->

<div class="card card-primary card-outline">
  <div class="card-header">
    <!-- <h3 class="card-title">{{$title}}</h3> -->

    <div class="card-tools">
      <!-- <form action="{{ route('admin.site_settings_list') }}" method="GET">
        <div class="input-group input-group-sm">
          <input type="text" name="search" class="form-control" placeholder="Search" value="{{$search}}" autocomplete="off">
          <div class="input-group-append">
            <button class="btn btn-primary"><i class="fas fa-search"></i></button>
          </div>
          <?php
          if ($search != '') {
          ?>
            <div class="input-group-append">
              &nbsp;
              &nbsp;
              <button class="btn btn-danger btn-sm" type="button"> <a href="{{ route('admin.site_settings_list') }}" style="color: white;">Clear</a></button>
            </div>
          <?php
          }
          ?>
        </div>
      </form> -->

    </div>
    <!-- /.card-tools -->
  </div>
  <!-- /.card-header -->
  <div class="card-body p-0">
    <div class="table-responsive mailbox-messages">
      <table id="example2" class="table table-hover table-striped">

        <thead>
          <tr>
            <th># </th>
            <th>Key</th>
            <th>Value</th>
            <th width="180px">Action</th>
          </tr>
        </thead>

        <tbody id="search_result">
          @forelse ($dataList as $i => $dataRow)

          <tr>
            <td>
              <div class="icheck-primary">
                <label for="check{{ $loop->iteration }}">{{ $loop->iteration }}</label>
              </div>
            </td>
            <td>{{ ucfirst(str_replace('_', ' ', $dataRow->key)) }}</td>
            <td>
              <?php
              if (in_array($dataRow->key, ['logo', 'logo_small'])) {
              ?>
                <img src="{{asset('Images/logo')}}/{{$dataRow->value}}" class="image" width="80px">

              <?php
              } else {
                echo $dataRow->value;
              }
              ?>
            </td>

            <td>

            
              <a href="{{ route('admin.site_settings_edit', $dataRow->id) }}" class="btn btn-sm btn-warning">
                <i class="fas fa-edit"></i>
              </a>
          
            </td>
          </tr>
          @empty
          <tr>
            <td colspan="5" class="text-center">No data found.</td>
          </tr>
          @endforelse

        </tbody>


      </table>
      <!-- /.table -->
    </div>
    <!-- /.mail-box-messages -->
  </div>
  <!-- /.card-body -->

</div>
<!-- /.card -->


<div class="modal fade" id="showImgModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title assignContentModalLabel" id="exampleModalLabel">View Image</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <div class="form-group">
          <img src="" class="showImgInModal" alt="" width="100%">
        </div>

      </div>
    </div>
  </div>
</div>



@endsection
@push('scripts')
<script type="text/javascript">
  //=== START:: show image in modal =====//
  $('body').on('click', '.image', function() {
    var imgSrc = $(this).attr('src');
    $(".showImgInModal").attr("src", imgSrc);
    $("#showImgModal").modal('show');
  });
  //=== END:: show image in modal =====//
</script>
@endpush