@extends('layout.admin_layout')

@section('title', 'Sub Admin Users')

@section('body')

@section('header', 'Create Sub Admin')
@section('badge')

<li class="breadcrumb-item"><a href="{{ route('admin.sub_admin') }}">Sub Admins</a></li>
@endsection


<div class="card">
    <div class="card-header">
        <h3 class="card-title">Create Sub Admin</h3>
    </div>

    <div class="card-body">
        @if($errors->any())


        <ul>
            @foreach ($errors->all() as $error)
            <li class="text-danger">{{ $error }}</li>
            @endforeach.
        </ul>

        @endif
        <form role="form" method="POST" action="{{ route('admin.admin_store') }}" enctype="multipart/form-data" id="cmsForm">
            {{ csrf_field() }}


            <div class="card-body">

                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Name <span class="text-danger">*</span></label>

                    <div class="col-md-4">

                        <input type="text" name="name" id="name" class="form-control" required>

                    </div>
                    <label class="col-md-2 form-control-label" for="name">Email <span class="text-danger">*</span></label>

                    <div class="col-md-4">

                        <input type="text" name="email" id="email" class="form-control" required>

                    </div>


                </div>
                <div class="form-group row">
                    <label class="col-md-2 form-control-label" for="name">Password <span class="text-danger">*</span></label>

                    <div class="col-md-4">

                        <input type="text" name="password" id="password" class="form-control" required>

                    </div>
                    <label class="col-md-2 form-control-label" for="name">Confirm Password <span class="text-danger">*</span></label>

                    <div class="col-md-4">

                        <input type="text" name="confirm_password" id="confirm_password" class="form-control" required>

                    </div>


                </div>

            </div>
            <div class="card-footer">
                <div class="col text-right">
                    <a href="{{ url()->previous() }}" class="btn btn-outline-danger"><i class="far fa-arrow-alt-circle-left"></i> Cancel</a>
                    <button type="submit" class="btn btn-primary"><i class="far fa-save"></i> Submit</button>
                </div>
            </div>
        </form>
    </div>
    <!-- /.card-body -->

    <!-- /.card-footer-->
</div>

@endsection