<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="<?php echo e(route('admin.dashboard')); ?>" class="brand-link">
        
        <img src="<?php echo e(!empty(getSetting('logo')) ? asset('Images/logo/' . getSetting('logo')) : 'logo'); ?>" alt="<?php echo e(env('APP_NAME')); ?>" class="brand-image" style="opacity: .8">
        <!--span class="brand-text font-weight-light" style="color:black"><?php echo e(env('APP_NAME')); ?></span-->
    </a>


    <div class="sidebar">

        <div class="user-panel mt-3 pb-3 mb-3 d-flex">
            <div class="image">
                
                <img src="<?php echo e(asset('Images/logo/' . getSetting('logo'))); ?>" class="img-circle elevation-2" alt="User Image">

            </div>
            <div class="info">
                <a href="#" class="d-block"><?php echo e(Auth::guard('siteAdmin')->user()->name); ?></a>
            </div>
        </div>


        <nav class="mt-2">
            <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">

                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Dashboard')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.dashboard')); ?>" class="nav-link <?php echo e(Request::is('admin/dashboard') ? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-tachometer-alt"></i>
                        <p>
                            Dashboard
                        </p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Manage Profile')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.manageProfile')); ?>" class="nav-link <?php echo e(Request::is('admin/manage-profile*') || Request::is('admin/change-password*')? 'active' : ''); ?>">
                        <i class="nav-icon fa fa-list-alt" aria-hidden="true"></i>
                        <p>
                            Manage Profile
                        </p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'User Management')!==0): ?>

                <li class="nav-item has-treeview <?php echo e(Request::is('admin/sub_admins*') || Request::is('admin/approved_doctors*') || Request::is('admin/unapproved_doctors*') || Request::is('admin/patient*') ||  Request::is('admin/reasons*')? 'menu-open' : ''); ?>">
                    <i class=""></i>
                    <a href="#" class="nav-link  <?php echo e(Request::is('admin/sub_admins*') || Request::is('admin/approved_doctors*') || Request::is('admin/unapproved_doctors*') || Request::is('admin/patient*') ||  Request::is('admin/reasons*')? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-users"></i>
                        <p>
                            User Management
                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">


                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.sub_admin')); ?>" class="nav-link <?php echo e(Request::is('admin/sub_admins*') ? 'active' : ''); ?>">
                                <i class="fas fa-user-shield nav-icon"></i>
                                <p>Sub Admin Users</p>
                            </a>
                        </li>




                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.appropved_doctors')); ?>" class="nav-link <?php echo e(Request::is('admin/approved_doctors*') ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-user-md"></i>
                                <p>Approved Doctors</p>
                            </a>
                        </li>




                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.unappropved_doctors')); ?>" class="nav-link <?php echo e(Request::is('admin/unapproved_doctors*') ? 'active' : ''); ?>">
                                <i class="fas fa-user  nav-icon"></i>
                                <p>Unapproved Doctors</p>
                            </a>
                            <a href="<?php echo e(route('admin.reasons')); ?>" class="nav-link <?php echo e(Request::is('admin/reasons*') ? 'active' : ''); ?>">
                                <i class="fa fa-comment nav-icon"></i>
                                <p>Manage Reason</p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.patient')); ?>" class="nav-link <?php echo e(Request::is('admin/patient*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-male" aria-hidden="true"></i>
                                <p>
                                    Manage Patient
                                </p>
                            </a>
                        </li>



                    </ul>
                </li>
                <?php endif; ?>

                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Manage Settings')!==0): ?>
                <li class="nav-item has-treeview <?php echo e(Request::is('admin/service*') || Request::is('admin/route*') ||Request::is('admin/color_code*') || Request::is('admin/surgery*') ||Request::is('admin/allergies*') ||Request::is('admin/social_history*') ||Request::is('admin/lab*') ||Request::is('admin/medication*')||Request::is('admin/medical*')||Request::is('admin/slot_time*')||Request::is('admin/payment_status*')?'menu-open' : ''); ?>">
                    <i class=""></i>
                    <a href="#" class="nav-link <?php echo e(Request::is('admin/service*') || Request::is('admin/route*') ||Request::is('admin/color_code*')||Request::is('admin/surgery*') ||Request::is('admin/allergies*') || Request::is('admin/social_history*')||Request::is('admin/lab*')||Request::is('admin/medication*')||Request::is('admin/medical*')||Request::is('admin/slot_time*')||Request::is('admin/payment_status*')?'active' : ''); ?>">
                        <i class="nav-icon fas fa-laptop"></i>
                        <p>
                            Manage Settings

                            <i class="fas fa-angle-left right"></i>

                        </p>
                    </a>
                    <ul class="nav nav-treeview">



                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.service.index')); ?>" class="nav-link <?php echo e(Request::is('admin/service*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-cogs" aria-hidden="true"></i>
                                <p>
                                    Skill Set/Specialization
                                </p>
                            </a>
                        </li>


                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.route')); ?>" class="nav-link <?php echo e(Request::is('admin/route*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa-solid fa-syringe" aria-hidden="true"></i>
                                <p>
                                    Route
                                </p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.color_code')); ?>" class="nav-link <?php echo e(Request::is('admin/color_code*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-code" aria-hidden="true"></i>
                                <p>
                                    Color Code
                                </p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.slot_time')); ?>" class="nav-link <?php echo e(Request::is('admin/slot_time*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa-solid fa-clock"></i>
                                <p>
                                    Time Slot
                                </p>
                            </a>
                        </li>

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.medical')); ?>" class="nav-link <?php echo e(Request::is('admin/medical*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-plus" aria-hidden="true"></i>
                                <p>
                                    Medical History
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.allergies')); ?>" class="nav-link <?php echo e(Request::is('admin/allergies*') ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-allergies" aria-hidden="true"></i>
                                <p>
                                    Allergies
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.surgeries')); ?>" class="nav-link <?php echo e(Request::is('admin/surgery*') ? 'active' : ''); ?>">
                                <i class="nav-icon fas fa-hospital" aria-hidden="true"></i>
                                <p>
                                    Surgery
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.social_history')); ?>" class="nav-link <?php echo e(Request::is('admin/social_history*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa-solid fa-smoking"></i>
                                <p>
                                    Social History
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.medication')); ?>" class="nav-link <?php echo e(Request::is('admin/medication*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-medkit" aria-hidden="true"></i>
                                <p>
                                    Medication
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.lab')); ?>" class="nav-link <?php echo e(Request::is('admin/lab*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-flask" aria-hidden="true"></i>
                                <p>
                                    Lab History
                                </p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.payment_status')); ?>" class="nav-link <?php echo e(Request::is('admin/payment_status*') ? 'active' : ''); ?>">
                                <i class="nav-icon fa fa-dollar" aria-hidden="true"></i>
                                <p>
                                    Payment Status
                                </p>
                            </a>
                        </li>
                    </ul>
                </li>
                <?php endif; ?>



                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Appointment')!==0): ?>

                <li class="nav-item">
                    <a href="<?php echo e(route('admin.appointment')); ?>" class="nav-link <?php echo e(Request::is('admin/appointment*') ? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-briefcase" aria-hidden="true"></i>
                        <p>
                            Appointments
                        </p>
                    </a>
                </li>

                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Quick Chat Bot')!==0): ?>
                <li class="nav-item has-treeview <?php echo e(Request::is('admin/type*') || Request::is('admin/chief_complaint*') || Request::is('admin/symptoms*') || Request::is('admin/differential_diagnosis*') || Request::is('admin/diagnosis*')|| Request::is('admin/symptoms*')||Request::is('admin/import*') || Request::is('admin/delete_problems*') ? 'menu-open' : ''); ?>">
                    <i class=""></i>
                    <a href="#" class="nav-link <?php echo e(Request::is('admin/type*') || Request::is('admin/chief_complaint*') || Request::is('admin/symptoms*') || Request::is('admin/differential_diagnosis*') || Request::is('admin/diagnosis*')||Request::is('admin/symptoms*')||Request::is('admin/import*') || Request::is('admin/delete_problems*')? 'active' : ''); ?>">
                        <i class="nav-icon fa fa-line-chart"></i>
                        <p>
                        Diagnosis AI Tool
                            <i class="fas fa-angle-left right"></i>


                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item has-treeview <?php echo e(Request::is('admin/chief_complaint*')? 'menu-open' : ''); ?>">
                            <a href="<?php echo e(route('admin.p_cat_list')); ?>" class="nav-link <?php echo e(Request::is('admin/chief_complaint*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa-solid fa-eye"></i>
                                <p>Chief Complaint
                                    <i class="fas fa-angle-left right"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.p_cat_list_a')); ?>" class="nav-link <?php echo e(Request::is('admin/chief_complaint/list_a*') ? 'active' : ''); ?> ">
                                        <i class="nav-icon fa-solid fa-user" aria-hidden="true"></i>
                                        <p>Adult</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="<?php echo e(route('admin.p_cat_list_p')); ?>" class="nav-link <?php echo e(Request::is('admin/chief_complaint/list_p*') ? 'active' : ''); ?> ">
                                        <i class="nav-icon fa-solid fa-child" aria-hidden="true"></i>
                                        <p>Pediatric</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.import')); ?>" class="nav-link <?php echo e(Request::is('admin/import*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa fa-plus"></i>
                                <p>Import</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.delete_problems')); ?>" class="nav-link <?php echo e(Request::is('admin/delete_problems*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa fa-remove"></i>
                                <p>Delete</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.s_type')); ?>" class="nav-link <?php echo e(Request::is('admin/type*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa-solid fa-eye"></i>
                                <p>Complaint Related Questions</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.body_cat')); ?>" class="nav-link <?php echo e(Request::is('admin/symptoms*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa-solid fa-brain"></i>
                                <p>Symptoms</p>
                            </a>
                        </li>


                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.symptoms')); ?>" class="nav-link <?php echo e(Request::is('admin/differential_diagnosis*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa fa-bar-chart"></i>
                                <p>Differential Diagnosis</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.sub_cat_index')); ?>" class="nav-link <?php echo e(Request::is('admin/diagnosis*') ? 'active' : ''); ?> ">
                                <i class="nav-icon fa-solid fa-lungs"></i>
                                <p>Diagnosis</p>
                            </a>
                        </li>




                    </ul>
                </li>
                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Medicine Change Request')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.med_ch_rq')); ?>" class="nav-link <?php echo e(Request::is('admin/med_ch_rq*') ? 'active' : ''); ?>">
                        <i class="nav-icon fa-solid fa-capsules" aria-hidden="true"></i>

                        <p>
                            Medicine Change Request
                        </p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Complain List')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.complain_list')); ?>" class="nav-link <?php echo e(Request::is('admin/complain_list*') ? 'active' : ''); ?>">
                        <i class="nav-icon fa fa-commenting" aria-hidden="true"></i>

                        <p>
                            Complain List
                        </p>
                    </a>
                </li>
                <?php endif; ?>

                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Manage QuickVisit')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.mng_quick_visit')); ?>" class="nav-link <?php echo e(Request::is('admin/q_appointment*') ? 'active' : ''); ?>">
                        <i class="nav-icon fa fa-comment"></i>

                        <p>
                        Diagnosis AI Tool List
                        </p>
                    </a>
                </li>
                <?php endif; ?>
                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Commission')!==0): ?>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.commission')); ?>" class="nav-link <?php echo e(Request::is('admin/commission*') ? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-percent"></i></i>
                        <p>
                            Commission
                        </p>
                    </a>
                </li> 
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.earning')); ?>" class="nav-link <?php echo e(Request::is('admin/earning*') ? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-dollar"></i></i>
                        <p>
                            Doctor's Earning
                        </p>
                    </a>
                </li> 
                <?php endif; ?>




                <?php if(chk_permission(Auth::guard('siteAdmin')->user()->id,'Manage Accessories')!==0): ?>
                <li class="nav-item has-treeview <?php echo e(Request::is('admin/site-settings*') || Request::is('admin/cms*') ||Request::is('admin/faq*') ||  Request::is('admin/contact*') || Request::is('admin/info*') ? 'menu-open' : ''); ?>">
                    <i class=""></i>
                    <a href="#" class="nav-link <?php echo e(Request::is('admin/site-settings*') || Request::is('admin/cms*') ||Request::is('admin/faq*') ||  Request::is('admin/contact*') ||  Request::is('admin/info*') ? 'active' : ''); ?>">
                        <i class="nav-icon fas fa-laptop"></i>
                        <p>
                            Manage Accessories

                            <i class="fas fa-angle-left right"></i>
                            
                        </p>
                    </a>
                    <ul class="nav nav-treeview">

                        <li class="nav-item">
                            <a href="<?php echo e(route('admin.cms')); ?>" class="nav-link <?php echo e(Request::is('admin/cms*') ? 'active' : ''); ?> ">
                                <i class="fas fa-user-shield nav-icon"></i>
                                <p>CMS Pages</p>
                            </a>
                        </li>


                    </ul>
                </li>
                <?php endif; ?>



            </ul>
        </nav>
      
    </div>
  
</aside><?php /**PATH C:\xampp\htdocs\doctorapp\resources\views/admin/common/menu.blade.php ENDPATH**/ ?>